

body{
    
    overflow-x:hidden;

    font-family:'Poppins', sans-serif;

    background:linear-gradient(

        to bottom,

        #ffffff 0%,

        #eef5ff 20%,

        #c9e0ff 60%,

        #8ab5fd 100%

    );

}

/*======================================
HEADER
======================================*/

header{
    text-align:center;
    padding:3rem 1rem 2rem;
}

h1{
    font-family:'Satisfy', cursive;
    font-size:3.5rem;
    font-weight:400;
    color:#4b2e83;
    line-height:1;
}

h1 span{
    display:block;
    font-family:'Poppins', sans-serif;
    font-size:2.1rem;
    font-weight:700;
    letter-spacing:0.25rem;
    text-transform:uppercase;
    color:#4b2e83;
    margin-top:0.2rem;
}
/*======================================
HEADING DIVIDER
======================================*/

.heading-divider{
    display:flex;
    justify-content:center;
    align-items:center;
    margin:1rem 0 2rem;
}
.divider-line{
    width:120px;
    height:2px;
    background:#5A3B96;
}
.heart{
    margin:0 18px;
    font-size:2rem;
    color:#5A3B96;
    line-height:1;
}
header p{
    text-align: left;
}
.ourserv{
    margin-top: 1rem;    
    font-size:1rem;
    text-decoration: underline;
    text-decoration-thickness:3px;
}
.service{   
    display:grid;
    grid-template-columns:40px 1fr;
    gap:.2rem;
    align-items:center;
    padding:1rem 0;
}
.prof{
    color:#28348a;
    font-size: .9rem;
}
h6{  
    margin:0 0 .4rem 0;
    color:#28348a;
    font-size:.9rem;
}
.service h6{
    margin:0 0 .4rem 0;
    color:#28348a;
    font-size:.9rem;
}
.service-text h6{
    color:#28348a;;
    animation: colourChange 9s ease-in-out infinite;
}

.service-text:nth-of-type(2) h6{
    animation-delay:2s;
}

.service-text:nth-of-type(3) h6{
    animation-delay:4s;
}

.service-text:nth-of-type(4) h6{
    animation-delay:6s;
}

@keyframes colourChange{

    0%{
        color:#28348a;
        font-size:.9rem;
    }

    12%{
        color:#f655ab;
        font-size:1.2rem;
    }

    25%{
        color:#5661b0;
        font-size:.8rem;
    }

    100%{
        color:#28348a;
        font-size:.9rem;
    }

}

.service p{
    margin:0;
    font-size:1.3rem;
    line-height:1.5;
    color:#5A3B96;
}
.service img{
    width:40px;
    justify-self:flex-start;
}


.mainhead{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    text-align: left;
}
.hero{
    display:flex;
   justify-content: end;
    align-items: flex-end;
    margin-top:-9rem;
}
.hero img{
    width:40%;
    height:auto;
}
.services p{
    font-size: 12px;
}
.services .ironservice{
    display:inline-block
}
/*======================================
OPENING HOURS
======================================*/

.opening-hours{
    margin:3rem auto;
    width:90%;
    max-width:420px;
}
.hours-card{
   background:linear-gradient(
    to top,
    #e8eaf3,
    #deeaf8
);

    border-radius:20px;
    padding:2rem;
    box-shadow:0 8px 25px rgba(0,0,0,.08);
}

.hours-title{
    display:flex;
    align-items:center;
    gap:1rem;
    margin-bottom:2rem;
}

.hours-title img{
    width:54px;
    height:auto;
}

.hours-title h2{
    margin:0;
    color:#4b2e83;
    font-size:1.4rem;
    
}

.hours-grid{

    display:grid;
    grid-template-columns:1fr auto;
    row-gap:.75rem;
    column-gap:2rem;
    font-size:.95rem;
    color:#28348a;
}

.hours-grid div:nth-child(even){
    text-align:right;
}
/*======================================
ADDRESS
======================================*/

.address{
    width:90%;
    max-width:420px;
    margin:2rem auto;
}

.address-card{
    background:#eef5ff;
    border-radius:20px;
    padding:2rem;
    box-shadow:0 8px 25px rgba(0,0,0,.08);
}

.address-title{
    display:flex;
    align-items:center;
    gap:1rem;
    margin-bottom:1.5rem;
}

.address-title img{
    width:48px;
    height:auto;
}

.address-title h2{
    margin:0;
    color:#4b2e83;
    font-size:1.4rem;
    font-weight:700;
}

.address address{
    font-style:normal;
    color:#28348a;
    font-size:1rem;
    font-weight:700;
    line-height:1.7;
    text-transform:uppercase;

}
.addressmap{    
    width: 100vw;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-bottom: 50px;   
}
iframe{  
    width: 80vw;
    height: 300px;
}
/*======================================
BUBBLES
======================================*/

.bubble{

    position:absolute;
    border-radius:50%;
    border:2px solid rgba(255,255,255,.45);
    background:rgba(147, 146, 146, 0.08);
    box-shadow:
        inset -8px -8px 12px rgba(243, 243, 154, 0.4),
        inset 6px 6px 10px rgba(238, 235, 235, 0.12);

    animation:float 24s ease-in-out infinite;

}
.bubble-bg{

    position:fixed;

    top:0;
    left:0;

    width:100%;
    height:100%;

    overflow:hidden;

    pointer-events:none;

    z-index:-1;

}

@keyframes float{
    0%{
        transform:translateY(0);
        }

    100%{
        transform:translateY(-250px) translateX(15px);
    }
}

@media only screen and (width > 780px) {
    body{
        width: 50%;
        margin-left: auto;
        margin-right: auto;
    }
    .mainhead{
        align-items: center ;
    }
    .hero{
        visibility: hidden;
        height: 100px;
    }
    .prof {
        font-size: 1.3rem;
        text-align: center;
    }
    .service-text p{
        font-size: 1.3rem;
    }
    .service img{
        height: 80px;
        width: 90px;
        aspect-ratio: 1/1;
    }
    .services h6{
        font-size: 1.3rem;
    }
    .ourserv{
        font-size: 1.5rem;
    }
    .addressmap{
        width: 40%;
        margin-left:30%;
        margin-right: 30%;
    }

}